import { concat, isArray, mergeWith, } from "lodash";
export function isDocumentNode(value) {
    return typeof value === "object" && value !== null && value.kind === "Document";
}
export function normalizeOptions(options) {
    if (options === void 0) { options = {}; }
    var query = isDocumentNode(options) ? {
        query: options,
    } : options;
    query.subscribeToMore = concat([], isDocumentNode(options) ? [] : options.subscribeToMore || []);
    return query;
}
export function mergeOptions(original, options) {
    return mergeWith(normalizeOptions(original), normalizeOptions(options), function (objValue, srcValue) {
        if (isArray(objValue))
            return concat(objValue, srcValue);
    });
}
//# sourceMappingURL=utils.js.map